﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MercatorUi;
using MercatorApi;
using MercatorTunnel;

namespace Test_ManageTable
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // string dirMerc = @"C:\Ineo\Demos\Version74\";
            string dirMerc = @"C:\Ineo\Clients\Clippard\MercatorActu\";
            string rep_data = dirMerc + @"data\";
            string sha1 = Api.Xsha1("Merc@torUi$" + rep_data + "|" + DateTime.Today.ToString("yyyyMMdd", System.Globalization.DateTimeFormatInfo.InvariantInfo));
            MercatorUi.Main main = new MercatorUi.Main(null, sha1, "F", rep_data, "Ebony", true, 0, dirMerc, 810, 0);
            main.Init(true);
            string langue = MercatorController.xFunctions.xLookUpString("USERS", "ID", "1RXN0HUV8R", "langue");
            main.ChangeUser("1RXN0HUV8R", langue, false);

            DataTable dt = Api.DataTableFromDbf(dirMerc + @"params.DBF");
            Api.TrimEndDataTable(dt);
            foreach (DataRow dr in dt.Rows)
                main.UpdateParams(dr["type"].ToString(), dr["valeur"].ToString());
            main.UpdateParams("ID_DEV_BAS", "EUR");
            int decDevBas = MercatorUi.Globals.DEC_DEV_B;
            dt = Api.DataTableFromDbf(@"c:\foxcache\parampos.DBF");
            Api.TrimEndDataTable(dt);
            foreach (DataRow dr in dt.Rows)
                main.UpdateParamPos(dr["type"].ToString(), dr["valeur"].ToString());
            //updateParamsInController();

            main.RegisterSigs("CLI,FOU,STOCK,GEN,TACT,PROJ");


            //BrowseRayons.BrowseRayonsForm f = new BrowseRayons.BrowseRayonsForm(549, 650);
            //f.Show();

            // ManageTable.GestionTable frm = new ManageTable.GestionTable("CAT_CLI", "select id, nom, type from cat_cli where type = 1 order by nom", "Catégories clients 1", 1);
            ManageTable.GestionTableForm frm = new ManageTable.GestionTableForm("TARIFCATCLI", "select * from TARIFCatCli where type = 1 order by nom", "Tarification par Catégorie clients", 1, "");
            frm.Show();
            //frm.Visible = true;
            frm.Left = 10;
            frm.Top = 10;
        }
    }
}
